---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer reply ingest. Reference for the POST
    /workspaces/{organizationId}/customers/{id}/reply-ingest endpoint in the
    Pile API.
sidebar:
  label: Create customer reply ingest
  badge: POST
title: Create customer reply ingest
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/{id}/reply-ingest`

**Request body** (`application/json`)

- `subject` (string)
- `body` (string, required)
- `fromEmail` (string)
- `statementFileId` (string)

Request body example:

```json
{
  "subject": "",
  "body": "string",
  "fromEmail": "string",
  "statementFileId": "string"
}
```

**Responses**

- `200` — Classified 16-category Unify reply, applied opt-out/bounce suppression, and created statement checklist if applicable
- `404` — Customer not found

Response example, 200:

```json
{
  "classified": {
    "property1": null,
    "property2": null
  },
  "suppressed": true,
  "enrollment": {
    "property1": null,
    "property2": null
  },
  "tasks": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "statementChecklist": {
    "property1": null,
    "property2": null
  }
}
```
